Package org.eclipse.m2m.atl.engine.injectors

## Interface Injector

All Known Implementing Classes:
  `TCSInjector`, `XMLInjector`

    public interface Injector

The Injector interface.

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`java.util.Map` `getParameterTypes()` returns the list of parameters supported by this injector in the form of a Map with parameter names as keys and type name as value.
`java.lang.String` `getPrefix()` Deprecated. This information should be in the megamodel.
`ASMModelElement` `inject​(ASMModel target, java.io.InputStream source, java.util.Map params)` Performs the injection.
`ASMModelElement` `inject​(ASMModel target, java.io.Reader source, java.util.Map params)` Performs the injection.
`void` `performImportation​(ASMModel format, ASMModel extent, java.io.InputStream in, java.lang.String other)` Deprecated. The inject method should be used instead of this one.

### Method Detail

#### getParameterTypes

    java.util.Map getParameterTypes()

returns the list of parameters supported by this injector in the form of a Map with parameter names as keys and type name as value. Known type names are: "String" "Model"

Returns:
  the Map of parameter types

#### inject

    ASMModelElement inject​(ASMModel target,
                           java.io.InputStream source,
                           java.util.Map params)
                    throws java.io.IOException

Performs the injection.

Parameters:
  `target` - The target model to populate.
  `source` - The source InputStream. Alternative source kinds can be passed in params.
  `params` - A Map of additional parameters. The key is the name.
Returns:
  The root element of the populated model if it exists, any element else.
Throws:
  `java.io.IOException`

#### inject

    ASMModelElement inject​(ASMModel target,
                           java.io.Reader source,
                           java.util.Map params)
                    throws java.io.IOException

Performs the injection.

Parameters:
  `target` - The target model to populate.
  `source` - The source Reader. Alternative source kinds can be passed in params.
  `params` - A Map of additional parameters. The key is the name.
Returns:
  The root element of the populated model if it exists, any element else.
Throws:
  `java.io.IOException`

#### getPrefix

    java.lang.String getPrefix()

Deprecated.
This information should be in the megamodel.

#### performImportation

    void performImportation​(ASMModel format,
                            ASMModel extent,
                            java.io.InputStream in,
                            java.lang.String other)
                     throws java.io.IOException

Deprecated.
The inject method should be used instead of this one.

Parameters:
  `format` -
  `extent` -
  `in` -
  `other` -
Throws:
  `java.io.IOException`